Transactional System basic API (1.0.0)

Download OpenAPI specification:

A collection of REST endpoints to perform transactional and reporting operations with Tora. All endpoints are accessed through a secure HTTPS channel. Required TLS version is 1.2 or newer.

Top Up

Create a topup sale

Create a topup sale

Authorizations:
BasicAuth
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

TORA-Idempotency-Key
string

The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. This is useful when an API call is disrupted in transit and you do not receive a response.

Request Body schema: application/json
required
productCode
required
string

Unique identifier for the product.

reference
string

A merchant specific reference, i.e. Order Number.

confirm
boolean
Default: true

Indicator for two step payment. If confirm = false, then capture or void request must follow.

object (TopUpSaleRequest_paysafecard)

Responses

Request samples

Content type
application/json
{
  • "productCode": "VO12",
  • "reference": "topup-1234567",
  • "confirm": true,
  • "paysafecard": {
    }
}

Response samples

Content type
application/json
{
  • "id": "178345642",
  • "amount": 1200,
  • "pinCode": "4569123498763210",
  • "serialNumber": "",
  • "expirationDate": "2020-07-21T17:32:28Z",
  • "advertisingText": ""
}

Capture a topup sale

Capture a topup sale

Authorizations:
BasicAuth
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

Responses

Void a topup sale

Void a topup sale

Authorizations:
BasicAuth
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

Responses

List available topup products

List available topup products

Authorizations:
BasicAuth

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Bill Payments

Retrieve bill payment details

Retrieve bill payment details

Authorizations:
BasicAuth
path Parameters
paymentCode
required
string
Example: 0001231415436457
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

Responses

Response samples

Content type
application/json
Example
[
  • {
    }
]

Create bill payment

Create bill payment

Authorizations:
BasicAuth
header Parameters
TORA-Idempotency-Key
string

The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. This is useful when an API call is disrupted in transit and you do not receive a response.

TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

Request Body schema: application/json
required
productCode
required
string
paymentCode
required
string
paymentAmount
required
integer
phone
required
string
reference
string
confirm
boolean
Default: true

Indicator for two step payment. If confirm = false, then capture or void request must follow.

Array of objects (CreatePaymentRequest_options)

Responses

Request samples

Content type
application/json
{
  • "productCode": "EYDAP",
  • "paymentCode": "201700110372307171",
  • "paymentAmount": 5000,
  • "phone": "2101234567",
  • "reference": "payment-123542356",
  • "confirm": true,
  • "options": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "178693397",
  • "paymentCode": "201700110372307171",
  • "totalAmount": 5100,
  • "paymentAmount": 5000,
  • "commission": 100,
  • "reference": "payment-123542356",
  • "media": [
    ]
}

Capture a bill payment

Capture a bill payment

Authorizations:
BasicAuth
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

Responses

Void a bill payment

Void a bill payment

Authorizations:
BasicAuth
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

Responses

e-laiko

Retrieve currently available products for e-laiko

Retrieve currently available products for e-laiko

Authorizations:
BasicAuth

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Register an e-laiko ticket request

Register an e-laiko ticket request

Authorizations:
BasicAuth
header Parameters
TORA-Terminal-Id
integer

Unique identifier for the device which makes the request.

TORA-Idempotency-Key
string

The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. This is useful when an API call is disrupted in transit and you do not receive a response.

Request Body schema: application/json
required
productCode
required
string
mobile
required
string

Customer's mobile phone number to receive the OTP

ending
integer [ 0 .. 9 ]

Customer picks the ending digit of the ticket. Can be combined with 'thousand'

thousand
integer [ 0 .. 80 ]

Customer picks the starting thousand of the ticket. Can be combined with 'ending'

oddOrEven
string or null
Enum: "ODD" "EVEN"

Customer picks if ticket's ending digit will be Odd or Even. Cannot be combined with 'thousand' or 'ending'

Responses

Request samples

Content type
application/json
{
  • "productCode": "HL01",
  • "mobile": "6988888888",
  • "ending": 9,
  • "thousand": 80,
  • "oddOrEven": "ODD"
}

Response samples

Content type
application/json
{
  • "requestId": "string"
}

Issue an e-laiko ticket

Issue an e-laiko ticket

Authorizations:
BasicAuth
header Parameters
TORA-Idempotency-Key
string

The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. This is useful when an API call is disrupted in transit and you do not receive a response.

Request Body schema: application/json
required
requestId
required
string

The requestId received from a successful POST /elaiko/requests API call response

otp
required
string

One-time-passcode received on customer's mobile phone

Responses

Request samples

Content type
application/json
{
  • "requestId": "string",
  • "otp": "092345"
}

Response samples

Content type
application/json
{
  • "id": "178345642",
  • "amount": 1000,
  • "ticketNumber": "string",
  • "ticketRow": "string",
  • "barcodes": [
    ],
  • "barcodeCost": 200,
  • "drawId": 1,
  • "drawDate": "2019-08-24",
  • "drawType": "ΚΑΛΟΚΑΙΡΙΝΗ",
  • "drawPayment": "2019-08-24"
}

Complaint

New reclamation request

New reclamation request

Authorizations:
BasicAuth
header Parameters
TORA-Idempotency-Key
string

The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. This is useful when an API call is disrupted in transit and you do not receive a response.

Request Body schema: application/json
transactionId
required
string

The id of the Transaction for which a cancellation is requested.

reason
string

The reason of the Cancellation Request.

Responses

Request samples

Content type
application/json
{
  • "transactionId": "12345678",
  • "reason": "Receipt not printed"
}

Response samples

Content type
application/json
{
  • "id": 342526,
  • "transactionId": "17831415",
  • "status": "pending",
  • "totalAmount": 14412
}

Fetch reclamation request's details

Fetch reclamation request's details

Authorizations:
BasicAuth
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "id": 342526,
  • "transactionId": "17831415",
  • "status": "rejected",
  • "responsiblePerson": "John Papadopoulos"
}

Reporting

Get transaction list

Get transaction list

Authorizations:
BasicAuth
query Parameters
from
string <date-time>
to
string <date-time>
type
string
Enum: "BP" "TOPUP" "ELAIKO"
mid
string

The merchant id

terminalId
integer
status
string
Enum: "captured" "canceled"
cancelFrom
string <date-time>
cancelTo
string <date-time>
reference
string
page
integer
limit
integer [ 10 .. 100 ]
Default: 10

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get transaction details

Get transaction details

Authorizations:
BasicAuth
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
Example
{
  • "id": "string",
  • "terminalId": 0,
  • "type": "BP",
  • "product": {
    },
  • "amount": 0,
  • "status": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "canceledAt": "2019-08-24T14:15:22Z",
  • "reference": "string",
  • "details": {
    }
}

Start a reporting file process

Start a reporting file process

Authorizations:
BasicAuth
Request Body schema: application/json
type
string
Enum: "transactions" "actions"
from
string <date-time>
to
string <date-time>
transType
string
Enum: "BP" "TOPUP"
mid
string
terminalId
integer
status
string
Value: ""
cancelFrom
string <date-time>
cancelTo
string <date-time>
format
string
Default: "csv"
Enum: "csv" "excel" "txt" "pdf"

Responses

Request samples

Content type
application/json
{
  • "type": "transactions",
  • "from": "2019-08-24T14:15:22Z",
  • "to": "2019-08-24T14:15:22Z",
  • "transType": "BP",
  • "mid": "string",
  • "terminalId": 0,
  • "status": "",
  • "cancelFrom": "2019-08-24T14:15:22Z",
  • "cancelTo": "2019-08-24T14:15:22Z",
  • "format": "csv"
}

Response samples

Content type
application/json
{
  • "id": "AxlUp3bNDDQK40thmAKmzRTo",
  • "type": "TRANSACTIONS",
  • "filename": "206941-TRANSACTIONS_AxlUp3bNDDQK40thmAKmzRTo.csv",
  • "status": "pending"
}

Get reporting file details

Get reporting file details

Authorizations:
BasicAuth
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "AxlUp3bNDDQK40thmAKmzRTo",
  • "type": "TRANSACTIONS",
  • "filename": "206941-TRANSACTIONS_AxlUp3bNDDQK40thmAKmzRTo.csv",
  • "status": "pending"
}